import { TreeList } from ".."
import Adapter from "../../utils/adapters"
import COMPONENTS from "../../config/components"
import "./ComponentList.component.scss"

interface ComponentListProps {}

const ComponentList = (props: ComponentListProps): JSX.Element => {
  const formattedTreeData = Adapter.adaptToTree(COMPONENTS)
  return (
    <div className="c-ComponentList h-100 w-100 overflow-auto">
      <TreeList
        data={formattedTreeData}
        title="Component List"
        firstExpanded={true}
      />
    </div>
  )
}

export default ComponentList
