import React from "react"
import "./Content.component.scss"

interface ContentProps {
  children?: JSX.Element | Array<JSX.Element>
  classes?: string
}

const Content = (props: ContentProps): JSX.Element => {
  const { children, classes } = props
  return (
    <div className={`c-Content${classes ? " " + classes : ""}`}>{children}</div>
  )
}

export default Content
