import ComponentList from "../ComponentList/ComponentList"
import "./Drawer.component.scss"

interface DrawerProps {
  children?: JSX.Element | Array<JSX.Element>
  classes?: string
}

const Drawer = (props: DrawerProps): JSX.Element => {
  const { children, classes } = props

  return (
    <aside className={`c-Drawer${classes ? " " + classes : ""}`}>
      {children}
    </aside>
  )
}

export default Drawer
