import Content from "../Content"
import Drawer from "../Drawer"
import "./Main.component.scss"

interface MainProps {
  drawerContent?: JSX.Element | Array<JSX.Element>
  mainContent?: JSX.Element | Array<JSX.Element>
}

const Main = (props: MainProps): JSX.Element => {
  const { drawerContent, mainContent } = props
  return (
    <main className="c-Main d-flex flex-grow-1 w-100">
      <Drawer classes="d-flex h-100">{drawerContent}</Drawer>
      <Content classes="d-flex justify-content-center align-items-center">
        {mainContent}
      </Content>
    </main>
  )
}

export default Main
