import React from "react"
import "./Button.component.scss"

interface ButtonProps {
  classes?: string
  content: string | JSX.Element | undefined
}

const Button = (props: ButtonProps) => {
  const { classes, content } = props
  return (
    <button className={`c-Button${classes ? " " + classes : ""}`}>
      {content}
    </button>
  )
}

export default Button
