import React from "react"
import "./Icon.component.scss"

interface IconProps {
  classes?: string
  containerClasses?: string
  height?: string
  size?: string
  src: string
  width?: string
}

const Icon = (props: IconProps): JSX.Element => {
  const { classes, containerClasses, height, size, src, width } = props
  return (
    <span
      className={`c-Icon d-inline-block ${containerClasses}`}
      style={{
        width: width || size || "1rem",
        height: height || size || "1rem",
      }}
    >
      <img
        className={`c-Icon__img${classes ? " " + classes : ""}`}
        src={src}
        alt="Icon"
      />
    </span>
  )
}

export default Icon
