import { SelectionPill } from "../.."
import "./Pagination.component.scss"
interface PaginationProps {
  data: Array<Map<string, string | number>>
  maxPillsToShow?: number
}

const Pagination = (props: PaginationProps): JSX.Element => {
  const { data, maxPillsToShow } = props
  let selectorBlockRenders
  if (data) {
    if (maxPillsToShow && data.length > maxPillsToShow) {
      selectorBlockRenders = []
      // TODO: onclick
      selectorBlockRenders.push(
        <SelectionPill
          classes="me-2 border-radius"
          data={
            new Map<string, string | number | JSX.Element>([["label", "<"]])
          }
          onClick={() => {}}
        />,
      )
      selectorBlockRenders = selectorBlockRenders.concat(
        data
          .slice(0, maxPillsToShow)
          .map((obj, index, arr) => (
            <SelectionPill
              classes={
                index === 0
                  ? "border-left-radius"
                  : index === arr.length - 1
                  ? "border-right-radius"
                  : ""
              }
              data={obj}
              onClick={() => {}}
            />
          )),
      )
      selectorBlockRenders.push(
        <SelectionPill
          classes="ms-2 border-radius"
          data={
            new Map<string, string | number | JSX.Element>([["label", ">"]])
          }
          onClick={() => {}}
        />,
      )
    } else {
      // TODO: Add onClickhandler
      selectorBlockRenders = data.map((obj) => (
        <SelectionPill data={obj} onClick={() => {}} />
      ))
    }
  }

  return <div className="c-Pagination">{selectorBlockRenders}</div>
}

export default Pagination
