import "./SelectionPill.component.scss"

interface SelectionPillProps {
  classes?: string
  context?: string
  data: Map<string, string | number | JSX.Element>
  onClick: Function
  size?: string
}

const SelectionPill = (props: SelectionPillProps): JSX.Element => {
  const { classes, context, data, onClick, size } = props

  return (
    <span
      className={`c-SelectionPill d-inline-flex justify-content-center align-items-center border${
        classes ? " " + classes : ""
      }${size ? " " + size : ""}`}
      onClick={() => onClick({ value: data.get("label") || "", data })}
    >
      {data.get("label")}
    </span>
  )
}

export default SelectionPill
