import { SelectionPill } from "../.."
import "./AlphabetFilter.component.scss"

interface AlphabetFilterProps {
  onSelectionChanged: Function
}

const AlphabetFilter = (props: AlphabetFilterProps): JSX.Element => {
  const { onSelectionChanged } = props
  const alpha = Array.from(Array(26)).map((e, i) => i + 65)
  const alphabet = alpha.map((x) => String.fromCharCode(x))

  return (
    <div className="c-AlphabetFilter">
      <label className="c-AlphabetFilter__label label">
        Select icon starting with
      </label>
      <div className="c-AlphabetFilter__pill-container">
        {alphabet.map((char) => (
          <SelectionPill
            classes="rounded me-2 mb-3"
            data={
              new Map<string, string | number | JSX.Element>([["label", char]])
            }
            size="small"
            onClick={(data: BasicFilterConfig) =>
              onSelectionChanged(data, "alphabet")
            }
          />
        ))}
      </div>
    </div>
  )
}

export default AlphabetFilter
