class Adapter {
  static adaptToTree(data: ComponentList): Array<TreeListData> {
    const returnTreeList: Array<TreeListData> = []
    Object.keys(data).forEach((key) => {
      const groupConfig = data[key as keyof ComponentList]
      const meta = groupConfig.meta
      const components = groupConfig.components
      const obj: TreeListData = {
        label: meta.label,
        children: [],
        data: { ...meta },
      }
      components.forEach(
        (str) =>
          obj.children &&
          obj.children.push({ label: str, data: { name: str } }),
      )
      returnTreeList.push(obj)
    })
    return returnTreeList
  }
}

export default Adapter
